export interface EncryptionParams {
    key: string;
    iv: string;
}
export declare class AesEncryption {
    private key;
    private iv;
    constructor(opt?: Partial<EncryptionParams>);
    private get getOptions();
    encryptByAES(cipherText: string): string;
    decryptByAES(cipherText: string): string;
}
export declare function encryptByBase64(cipherText: string): string;
export declare function decodeByBase64(cipherText: string): string;
export declare function encryptByMd5(password: string): string;
